package com.usoftchina.bi.server.model.vo.configVo;


import com.usoftchina.bi.server.model.bo.Column;
import com.usoftchina.bi.server.model.bo.Screen;

import java.util.List;

public class LineConfigInfo {
    private int id;
    private Column xAxis;
    private Column yAxis;
    private List<String> groups;
    private List<Screen> filters;
    /**
     * 需要展示的条数
     */
    private int maxCount = 1000;

    public int getMaxCount() {
        return maxCount;
    }

    public void setMaxCount(int maxCount) {
        this.maxCount = maxCount;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public Column getxAxis() {
        return xAxis;
    }

    public void setxAxis(Column xAxis) {
        this.xAxis = xAxis;
    }

    public Column getyAxis() {
        return yAxis;
    }

    public void setyAxis(Column yAxis) {
        this.yAxis = yAxis;
    }

    public List<String> getGroups() {
        return groups;
    }

    public void setGroups(List<String> groups) {
        this.groups = groups;
    }

    public List<Screen> getFilters() {
        return filters;
    }

    public void setFilters(List<Screen> filters) {
        this.filters = filters;
    }

    @Override
    public String toString() {
        return "LineConfigInfo{" +
                "id=" + id +
                ", xAxis=" + xAxis +
                ", yAxis=" + yAxis +
                ", groups=" + groups +
                '}';
    }
}
